%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-utile
Version:    0.2.0
Release:    3%{?dist}
Summary:    A Node.js drop-in replacement for `util` with some additional functions
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/flatiron/utile
Source0:    http://registry.npmjs.org/utile/-/utile-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(deep-equal)
BuildRequires:  npm(i)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(ncp)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(vows)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep async '0.2.x'
%nodejs_fixdep ncp '0.4.x'
%nodejs_fixdep rimraf '~2.1'

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/utile
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/utile

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/vows/bin/vows --spec
%endif


%files
%doc CHANGELOG.md LICENSE README.md
%{nodejs_sitelib}/utile


%changelog
* Tue Aug 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-3
- restrict to compatible arches

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-1
- update to upstream release 0.2.0

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.7-1
- initial package
